ValueInjector (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser.impl

## Class ValueInjector

- java.lang.Object
- - org.codehaus.jackson.map.BeanProperty.Std
  - - org.codehaus.jackson.map.deser.impl.ValueInjector

- All Implemented Interfaces:
    BeanProperty, Named

      public class ValueInjector
      extends BeanProperty.Std

  Class that encapsulates details of value injection that occurs before deserialization of a POJO. Details include information needed to find injectable value (logical id) as well as method used for assigning value (setter or field)
  Since:
    1.9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.codehaus.jackson.map.BeanProperty

      `BeanProperty.Std`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `_valueId` Identifier used for looking up value to inject

    - ### Fields inherited from class org.codehaus.jackson.map.BeanProperty.Std

      `_contextAnnotations, _member, _name, _type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueInjector(String propertyName, JavaType type, Annotations contextAnnotations, AnnotatedMember mutator, Object valueId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `findValue(DeserializationContext context, Object beanInstance)`
    `void` | `inject(DeserializationContext context, Object beanInstance)`

    - ### Methods inherited from class org.codehaus.jackson.map.BeanProperty.Std

      `getAnnotation, getContextAnnotation, getMember, getName, getType, withType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _valueId

          protected final Object _valueId

      Identifier used for looking up value to inject

  - ### Constructor Detail

    - #### ValueInjector

          public ValueInjector(String propertyName,
                       JavaType type,
                       Annotations contextAnnotations,
                       AnnotatedMember mutator,
                       Object valueId)

  - ### Method Detail

    - #### findValue

          public Object findValue(DeserializationContext context,
                         Object beanInstance)

    - #### inject

          public void inject(DeserializationContext context,
                    Object beanInstance)
                      throws IOException

      Throws:
        `IOException`